Bug 3860 - artsd bails out with "cpu overload, aborting"
: artsd bails out with "cpu overload, aborting"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/arts)
: unstable
: all Linux
: P2 major
Assigned To:
:
: http://bugs.kde.org/simple_search.cgi...
:
:
:
  Show dependency tree
 
Reported: 2004-03-23 22:42 by
Modified: 2005-08-30 02:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-23 22:42:49
testing xmms-out-arts; started artsd in a terminal window under WindowMaker
using snd-emu10k1 (2.4.25-std-up-alt1).

it bombed on me shortly complaining "cpu overload, aborting".

seems the bug is quite old and popular, still it's the first time for me to
observe it.

while it's running, it even works. :)
------- Comment #1 From 2004-03-23 23:15:28 -------
Это проявляется, когда у него метод вывода звука oss или auto(видимо выбирается 
oss из-за включенной эмуляции oss), а драйвер alsa 

Так что это если не получиться нормальным способом исправить автоопределение, 
то это не ко мне, а к libalsa, kernel-modules-alsa и утилита-настрока-звук 

А еще он у меня валиться с  
above snd-sonicvibes snd-pcm-oss 
above snd-pcm-oss snd-mixer-oss 
alias sound-slot-0 sound-card-0 
alias sound-card-0 snd-sonicvibes 

А с snd-als4000 - нет 

Это можно воспроизвести, если в kcontrol/Звук/Системные оповещения 
во время проигрывания звука запуска KDE проиграть еще какой-нибудь звук 
------- Comment #2 From 2004-03-23 23:28:56 -------
Не-не-не -- если это не специфично для альта, то пинать надо апстрим (kde).

При чем тут альса, если у них (arts) кривая автодетектилка?  Понятное дело, что
при обыденности эмуляции OSS на ALSA (и никак не обратном) первым делом надо
тыкаться в ALSA и только если не ждут -- проваливаться дальше на OSS и
что-мы-там-еще-умеем.

Ни при чем тут ни libalsa, ни kernel-modules-alsa, ни настраивалки.
------- Comment #3 From 2004-03-24 11:58:01 -------
Дело в том, что какая разница куда тыкаться? 
Должно работать и то и это. 
Я пока ничего не заявляю, т.к. допускаю, 
что проблема в arts. 
Я еще не разбирался. 
 
------- Comment #4 From 2004-04-21 21:36:13 -------
fixed in kernel-2.4.25 
------- Comment #5 From 2005-08-30 02:19:58 -------
closing
------- Comment #6 From 2005-08-30 02:29:38 -------
closing